<table mat-table [dataSource]="entities">
  <ng-container *ngFor="let column of columns" [matColumnDef]="column.name">
    <th mat-header-cell *matHeaderCellDef> {{column.name | splitCamelCase | titlecase }} </th>
    <td mat-cell *matCellDef="let client">
      <span>
        {{column.cell(client, column.name)}}
      </span>
    </td>
  </ng-container>
  <ng-container matColumnDef="action">
    <th mat-header-cell *matHeaderCellDef>  </th>
    <td mat-cell *matCellDef="let client">
      <div class="menu-wrapper">
        <aci-menu
          [items]="actions"
          (itemClicked)="$event(client)"
        ></aci-menu>
      </div>
    </td>
  </ng-container>
  
  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>